Table of Contents

Previous: -errors

## Option: extern

-extern
    Causes ftnchek to report whether any subprograms invoked by the program are never defined. Ordinarily, if ftnchek is being run on a complete program, each subprogram other than the intrinsic functions should be defined somewhere. Turn off this switch if you just want to check a subset of files which form part of a larger complete program. Subprogram arguments will still be checked for correctness. Default = yes.

    The -extern flag is now superseded by the -usage=ext-undefined option. For the sake of convenience, the -extern flag is retained, so that -noextern is equivalent to -usage=no-ext-undefined option. The -extern switch may be retired eventually.

    See also: -library.

  Next: -f77